/*
** SellaNMS
** $Id: api.h,v 1.3 2006/01/24 07:08:09 sella Exp $
** Copyright (c) 2001-2005 Digital Genesis Software, LLC. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com
*/

#ifndef __DGS_INCLUDE_API_H
#define __DGS_INCLUDE_API_H

#ifdef HAVE_CONFIG_H
	#include "config.h"
#endif

/* API */
bool start();
const char* getName();
const char* getDefaultConfigPath();
const char* getProcTitle();
const char* getDefaultPidFile();
const char* getDefaultStatFile();
const char* getDefaultConfigFile();
int getDefaultNiceness();
int requireSNMPMIBs();

#endif

/*
** Local Variables:
** c-basic-offset: 3
** tab-width: 3
** End:
** vim:
** vim: noet ts=3 sw=3
*/
